// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: MovementStates.proto

package ru.omnicomm.pegasus.messaging.data.movement;

public final class MovementStatesParser {
  private MovementStatesParser() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
  }
  public static final class ParkingSTART extends
      com.google.protobuf.GeneratedMessage {
    // Use ParkingSTART.newBuilder() to construct.
    private ParkingSTART() {
      initFields();
    }
    private ParkingSTART(boolean noInit) {}
    
    private static final ParkingSTART defaultInstance;
    public static ParkingSTART getDefaultInstance() {
      return defaultInstance;
    }
    
    public ParkingSTART getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.internal_static_ru_omnicomm_pegasus_messaging_data_movement_ParkingSTART_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.internal_static_ru_omnicomm_pegasus_messaging_data_movement_ParkingSTART_fieldAccessorTable;
    }
    
    // optional int64 sourceId = 1;
    public static final int SOURCEID_FIELD_NUMBER = 1;
    private boolean hasSourceId;
    private long sourceId_ = 0L;
    public boolean hasSourceId() { return hasSourceId; }
    public long getSourceId() { return sourceId_; }
    
    // required int64 messageType = 2;
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private boolean hasMessageType;
    private long messageType_ = 0L;
    public boolean hasMessageType() { return hasMessageType; }
    public long getMessageType() { return messageType_; }
    
    // optional int32 messageTime = 3;
    public static final int MESSAGETIME_FIELD_NUMBER = 3;
    private boolean hasMessageTime;
    private int messageTime_ = 0;
    public boolean hasMessageTime() { return hasMessageTime; }
    public int getMessageTime() { return messageTime_; }
    
    // optional int64 timeStamp = 5;
    public static final int TIMESTAMP_FIELD_NUMBER = 5;
    private boolean hasTimeStamp;
    private long timeStamp_ = 0L;
    public boolean hasTimeStamp() { return hasTimeStamp; }
    public long getTimeStamp() { return timeStamp_; }
    
    // optional int32 messageBlock = 6;
    public static final int MESSAGEBLOCK_FIELD_NUMBER = 6;
    private boolean hasMessageBlock;
    private int messageBlock_ = 0;
    public boolean hasMessageBlock() { return hasMessageBlock; }
    public int getMessageBlock() { return messageBlock_; }
    
    // optional bool valid = 130 [default = true];
    public static final int VALID_FIELD_NUMBER = 130;
    private boolean hasValid;
    private boolean valid_ = true;
    public boolean hasValid() { return hasValid; }
    public boolean getValid() { return valid_; }
    
    private void initFields() {
    }
    public final boolean isInitialized() {
      if (!hasMessageType) return false;
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (hasSourceId()) {
        output.writeInt64(1, getSourceId());
      }
      if (hasMessageType()) {
        output.writeInt64(2, getMessageType());
      }
      if (hasMessageTime()) {
        output.writeInt32(3, getMessageTime());
      }
      if (hasTimeStamp()) {
        output.writeInt64(5, getTimeStamp());
      }
      if (hasMessageBlock()) {
        output.writeInt32(6, getMessageBlock());
      }
      if (hasValid()) {
        output.writeBool(130, getValid());
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (hasSourceId()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(1, getSourceId());
      }
      if (hasMessageType()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(2, getMessageType());
      }
      if (hasMessageTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, getMessageTime());
      }
      if (hasTimeStamp()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(5, getTimeStamp());
      }
      if (hasMessageBlock()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(6, getMessageBlock());
      }
      if (hasValid()) {
        size += com.google.protobuf.CodedOutputStream
          .computeBoolSize(130, getValid());
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    public static ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder> {
      private ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART result;
      
      // Construct using ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART.newBuilder()
      private Builder() {}
      
      private static Builder create() {
        Builder builder = new Builder();
        builder.result = new ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART();
        return builder;
      }
      
      protected ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART internalGetResult() {
        return result;
      }
      
      public Builder clear() {
        if (result == null) {
          throw new IllegalStateException(
            "Cannot call clear() after build().");
        }
        result = new ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(result);
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART.getDefaultInstance();
      }
      
      public boolean isInitialized() {
        return result.isInitialized();
      }
      public ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART build() {
        if (result != null && !isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return buildPartial();
      }
      
      private ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        if (!isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return buildPartial();
      }
      
      public ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART buildPartial() {
        if (result == null) {
          throw new IllegalStateException(
            "build() has already been called on this Builder.");
        }
        ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART returnMe = result;
        result = null;
        return returnMe;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART other) {
        if (other == ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART.getDefaultInstance()) return this;
        if (other.hasSourceId()) {
          setSourceId(other.getSourceId());
        }
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasMessageTime()) {
          setMessageTime(other.getMessageTime());
        }
        if (other.hasTimeStamp()) {
          setTimeStamp(other.getTimeStamp());
        }
        if (other.hasMessageBlock()) {
          setMessageBlock(other.getMessageBlock());
        }
        if (other.hasValid()) {
          setValid(other.getValid());
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                return this;
              }
              break;
            }
            case 8: {
              setSourceId(input.readInt64());
              break;
            }
            case 16: {
              setMessageType(input.readInt64());
              break;
            }
            case 24: {
              setMessageTime(input.readInt32());
              break;
            }
            case 40: {
              setTimeStamp(input.readInt64());
              break;
            }
            case 48: {
              setMessageBlock(input.readInt32());
              break;
            }
            case 1040: {
              setValid(input.readBool());
              break;
            }
          }
        }
      }
      
      
      // optional int64 sourceId = 1;
      public boolean hasSourceId() {
        return result.hasSourceId();
      }
      public long getSourceId() {
        return result.getSourceId();
      }
      public Builder setSourceId(long value) {
        result.hasSourceId = true;
        result.sourceId_ = value;
        return this;
      }
      public Builder clearSourceId() {
        result.hasSourceId = false;
        result.sourceId_ = 0L;
        return this;
      }
      
      // required int64 messageType = 2;
      public boolean hasMessageType() {
        return result.hasMessageType();
      }
      public long getMessageType() {
        return result.getMessageType();
      }
      public Builder setMessageType(long value) {
        result.hasMessageType = true;
        result.messageType_ = value;
        return this;
      }
      public Builder clearMessageType() {
        result.hasMessageType = false;
        result.messageType_ = 0L;
        return this;
      }
      
      // optional int32 messageTime = 3;
      public boolean hasMessageTime() {
        return result.hasMessageTime();
      }
      public int getMessageTime() {
        return result.getMessageTime();
      }
      public Builder setMessageTime(int value) {
        result.hasMessageTime = true;
        result.messageTime_ = value;
        return this;
      }
      public Builder clearMessageTime() {
        result.hasMessageTime = false;
        result.messageTime_ = 0;
        return this;
      }
      
      // optional int64 timeStamp = 5;
      public boolean hasTimeStamp() {
        return result.hasTimeStamp();
      }
      public long getTimeStamp() {
        return result.getTimeStamp();
      }
      public Builder setTimeStamp(long value) {
        result.hasTimeStamp = true;
        result.timeStamp_ = value;
        return this;
      }
      public Builder clearTimeStamp() {
        result.hasTimeStamp = false;
        result.timeStamp_ = 0L;
        return this;
      }
      
      // optional int32 messageBlock = 6;
      public boolean hasMessageBlock() {
        return result.hasMessageBlock();
      }
      public int getMessageBlock() {
        return result.getMessageBlock();
      }
      public Builder setMessageBlock(int value) {
        result.hasMessageBlock = true;
        result.messageBlock_ = value;
        return this;
      }
      public Builder clearMessageBlock() {
        result.hasMessageBlock = false;
        result.messageBlock_ = 0;
        return this;
      }
      
      // optional bool valid = 130 [default = true];
      public boolean hasValid() {
        return result.hasValid();
      }
      public boolean getValid() {
        return result.getValid();
      }
      public Builder setValid(boolean value) {
        result.hasValid = true;
        result.valid_ = value;
        return this;
      }
      public Builder clearValid() {
        result.hasValid = false;
        result.valid_ = true;
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.data.movement.ParkingSTART)
    }
    
    static {
      defaultInstance = new ParkingSTART(true);
      ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.internalForceInit();
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.data.movement.ParkingSTART)
  }
  
  public static final class ParkingEND extends
      com.google.protobuf.GeneratedMessage {
    // Use ParkingEND.newBuilder() to construct.
    private ParkingEND() {
      initFields();
    }
    private ParkingEND(boolean noInit) {}
    
    private static final ParkingEND defaultInstance;
    public static ParkingEND getDefaultInstance() {
      return defaultInstance;
    }
    
    public ParkingEND getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.internal_static_ru_omnicomm_pegasus_messaging_data_movement_ParkingEND_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.internal_static_ru_omnicomm_pegasus_messaging_data_movement_ParkingEND_fieldAccessorTable;
    }
    
    // optional int64 sourceId = 1;
    public static final int SOURCEID_FIELD_NUMBER = 1;
    private boolean hasSourceId;
    private long sourceId_ = 0L;
    public boolean hasSourceId() { return hasSourceId; }
    public long getSourceId() { return sourceId_; }
    
    // required int64 messageType = 2;
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private boolean hasMessageType;
    private long messageType_ = 0L;
    public boolean hasMessageType() { return hasMessageType; }
    public long getMessageType() { return messageType_; }
    
    // optional int32 messageTime = 3;
    public static final int MESSAGETIME_FIELD_NUMBER = 3;
    private boolean hasMessageTime;
    private int messageTime_ = 0;
    public boolean hasMessageTime() { return hasMessageTime; }
    public int getMessageTime() { return messageTime_; }
    
    // optional int64 timeStamp = 5;
    public static final int TIMESTAMP_FIELD_NUMBER = 5;
    private boolean hasTimeStamp;
    private long timeStamp_ = 0L;
    public boolean hasTimeStamp() { return hasTimeStamp; }
    public long getTimeStamp() { return timeStamp_; }
    
    // optional int32 messageBlock = 6;
    public static final int MESSAGEBLOCK_FIELD_NUMBER = 6;
    private boolean hasMessageBlock;
    private int messageBlock_ = 0;
    public boolean hasMessageBlock() { return hasMessageBlock; }
    public int getMessageBlock() { return messageBlock_; }
    
    // optional bool valid = 130 [default = true];
    public static final int VALID_FIELD_NUMBER = 130;
    private boolean hasValid;
    private boolean valid_ = true;
    public boolean hasValid() { return hasValid; }
    public boolean getValid() { return valid_; }
    
    private void initFields() {
    }
    public final boolean isInitialized() {
      if (!hasMessageType) return false;
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (hasSourceId()) {
        output.writeInt64(1, getSourceId());
      }
      if (hasMessageType()) {
        output.writeInt64(2, getMessageType());
      }
      if (hasMessageTime()) {
        output.writeInt32(3, getMessageTime());
      }
      if (hasTimeStamp()) {
        output.writeInt64(5, getTimeStamp());
      }
      if (hasMessageBlock()) {
        output.writeInt32(6, getMessageBlock());
      }
      if (hasValid()) {
        output.writeBool(130, getValid());
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (hasSourceId()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(1, getSourceId());
      }
      if (hasMessageType()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(2, getMessageType());
      }
      if (hasMessageTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, getMessageTime());
      }
      if (hasTimeStamp()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(5, getTimeStamp());
      }
      if (hasMessageBlock()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(6, getMessageBlock());
      }
      if (hasValid()) {
        size += com.google.protobuf.CodedOutputStream
          .computeBoolSize(130, getValid());
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    public static ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder> {
      private ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND result;
      
      // Construct using ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND.newBuilder()
      private Builder() {}
      
      private static Builder create() {
        Builder builder = new Builder();
        builder.result = new ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND();
        return builder;
      }
      
      protected ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND internalGetResult() {
        return result;
      }
      
      public Builder clear() {
        if (result == null) {
          throw new IllegalStateException(
            "Cannot call clear() after build().");
        }
        result = new ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(result);
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND.getDefaultInstance();
      }
      
      public boolean isInitialized() {
        return result.isInitialized();
      }
      public ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND build() {
        if (result != null && !isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return buildPartial();
      }
      
      private ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        if (!isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return buildPartial();
      }
      
      public ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND buildPartial() {
        if (result == null) {
          throw new IllegalStateException(
            "build() has already been called on this Builder.");
        }
        ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND returnMe = result;
        result = null;
        return returnMe;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND other) {
        if (other == ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND.getDefaultInstance()) return this;
        if (other.hasSourceId()) {
          setSourceId(other.getSourceId());
        }
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasMessageTime()) {
          setMessageTime(other.getMessageTime());
        }
        if (other.hasTimeStamp()) {
          setTimeStamp(other.getTimeStamp());
        }
        if (other.hasMessageBlock()) {
          setMessageBlock(other.getMessageBlock());
        }
        if (other.hasValid()) {
          setValid(other.getValid());
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                return this;
              }
              break;
            }
            case 8: {
              setSourceId(input.readInt64());
              break;
            }
            case 16: {
              setMessageType(input.readInt64());
              break;
            }
            case 24: {
              setMessageTime(input.readInt32());
              break;
            }
            case 40: {
              setTimeStamp(input.readInt64());
              break;
            }
            case 48: {
              setMessageBlock(input.readInt32());
              break;
            }
            case 1040: {
              setValid(input.readBool());
              break;
            }
          }
        }
      }
      
      
      // optional int64 sourceId = 1;
      public boolean hasSourceId() {
        return result.hasSourceId();
      }
      public long getSourceId() {
        return result.getSourceId();
      }
      public Builder setSourceId(long value) {
        result.hasSourceId = true;
        result.sourceId_ = value;
        return this;
      }
      public Builder clearSourceId() {
        result.hasSourceId = false;
        result.sourceId_ = 0L;
        return this;
      }
      
      // required int64 messageType = 2;
      public boolean hasMessageType() {
        return result.hasMessageType();
      }
      public long getMessageType() {
        return result.getMessageType();
      }
      public Builder setMessageType(long value) {
        result.hasMessageType = true;
        result.messageType_ = value;
        return this;
      }
      public Builder clearMessageType() {
        result.hasMessageType = false;
        result.messageType_ = 0L;
        return this;
      }
      
      // optional int32 messageTime = 3;
      public boolean hasMessageTime() {
        return result.hasMessageTime();
      }
      public int getMessageTime() {
        return result.getMessageTime();
      }
      public Builder setMessageTime(int value) {
        result.hasMessageTime = true;
        result.messageTime_ = value;
        return this;
      }
      public Builder clearMessageTime() {
        result.hasMessageTime = false;
        result.messageTime_ = 0;
        return this;
      }
      
      // optional int64 timeStamp = 5;
      public boolean hasTimeStamp() {
        return result.hasTimeStamp();
      }
      public long getTimeStamp() {
        return result.getTimeStamp();
      }
      public Builder setTimeStamp(long value) {
        result.hasTimeStamp = true;
        result.timeStamp_ = value;
        return this;
      }
      public Builder clearTimeStamp() {
        result.hasTimeStamp = false;
        result.timeStamp_ = 0L;
        return this;
      }
      
      // optional int32 messageBlock = 6;
      public boolean hasMessageBlock() {
        return result.hasMessageBlock();
      }
      public int getMessageBlock() {
        return result.getMessageBlock();
      }
      public Builder setMessageBlock(int value) {
        result.hasMessageBlock = true;
        result.messageBlock_ = value;
        return this;
      }
      public Builder clearMessageBlock() {
        result.hasMessageBlock = false;
        result.messageBlock_ = 0;
        return this;
      }
      
      // optional bool valid = 130 [default = true];
      public boolean hasValid() {
        return result.hasValid();
      }
      public boolean getValid() {
        return result.getValid();
      }
      public Builder setValid(boolean value) {
        result.hasValid = true;
        result.valid_ = value;
        return this;
      }
      public Builder clearValid() {
        result.hasValid = false;
        result.valid_ = true;
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.data.movement.ParkingEND)
    }
    
    static {
      defaultInstance = new ParkingEND(true);
      ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.internalForceInit();
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.data.movement.ParkingEND)
  }
  
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_data_movement_ParkingSTART_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_data_movement_ParkingSTART_fieldAccessorTable;
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_data_movement_ParkingEND_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_data_movement_ParkingEND_fieldAccessorTable;
  
  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\024MovementStates.proto\022+ru.omnicomm.pega" +
      "sus.messaging.data.movement\"\211\001\n\014ParkingS" +
      "TART\022\020\n\010sourceId\030\001 \001(\003\022\023\n\013messageType\030\002 " +
      "\002(\003\022\023\n\013messageTime\030\003 \001(\005\022\021\n\ttimeStamp\030\005 " +
      "\001(\003\022\024\n\014messageBlock\030\006 \001(\005\022\024\n\005valid\030\202\001 \001(" +
      "\010:\004true\"\207\001\n\nParkingEND\022\020\n\010sourceId\030\001 \001(\003" +
      "\022\023\n\013messageType\030\002 \002(\003\022\023\n\013messageTime\030\003 \001" +
      "(\005\022\021\n\ttimeStamp\030\005 \001(\003\022\024\n\014messageBlock\030\006 " +
      "\001(\005\022\024\n\005valid\030\202\001 \001(\010:\004trueBC\n+ru.omnicomm" +
      ".pegasus.messaging.data.movementB\024Moveme",
      "ntStatesParser"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
      new com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner() {
        public com.google.protobuf.ExtensionRegistry assignDescriptors(
            com.google.protobuf.Descriptors.FileDescriptor root) {
          descriptor = root;
          internal_static_ru_omnicomm_pegasus_messaging_data_movement_ParkingSTART_descriptor =
            getDescriptor().getMessageTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_data_movement_ParkingSTART_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_data_movement_ParkingSTART_descriptor,
              new java.lang.String[] { "SourceId", "MessageType", "MessageTime", "TimeStamp", "MessageBlock", "Valid", },
              ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART.class,
              ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingSTART.Builder.class);
          internal_static_ru_omnicomm_pegasus_messaging_data_movement_ParkingEND_descriptor =
            getDescriptor().getMessageTypes().get(1);
          internal_static_ru_omnicomm_pegasus_messaging_data_movement_ParkingEND_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_data_movement_ParkingEND_descriptor,
              new java.lang.String[] { "SourceId", "MessageType", "MessageTime", "TimeStamp", "MessageBlock", "Valid", },
              ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND.class,
              ru.omnicomm.pegasus.messaging.data.movement.MovementStatesParser.ParkingEND.Builder.class);
          return null;
        }
      };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        }, assigner);
  }
  
  public static void internalForceInit() {}
  
  // @@protoc_insertion_point(outer_class_scope)
}
